# DescribeCrossRegionBandwidthMonitorData

## 1. API Description

This API (DescribeCrossRegionBandwidthMonitorData) is used to query the performance metric data of cross-region bandwidth.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name         | Required | Type                                                                                                                                           | Description                                                    |
| ---------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------- |
| crossRegionBandwidthId | Yes      | String                                                                                                                                         | Cross-region bandwidth ID.                                     |
| metricType             | Yes      | [CrossRegionBandwidthApiMonitorMeta](https://docs.console.zenlayer.com/api-reference/compute/datastructure#crossregionbandwidthapimonitormeta) | Cross-region bandwidth performance metric type.                |
| startTime              | Yes      | String                                                                                                                                         | <p>Start time.</p><p>Time format: yyyy-MM-ddTHH: mm: ssZ .</p> |
| endTime                | Yes      | String                                                                                                                                         | <p>End time.</p><p>Time format: yyyy-MM-ddTHH: mm: ssZ .</p>   |

## 3. Output Parameters

| Parameter Name | Type                                                                                                                                              | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                                                            | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| inMaxValue     | Float                                                                                                                                             | Maximum inbound bandwidth.                                                                                            |
| inAvgValue     | Float                                                                                                                                             | Average inbound bandwidth.                                                                                            |
| inMinValue     | Float                                                                                                                                             | Minimum inbound bandwidth.                                                                                            |
| inTotalValue   | Float                                                                                                                                             | Total inbound bandwidth.                                                                                              |
| outMaxValue    | Float                                                                                                                                             | Maximum outbound bandwidth.                                                                                           |
| outAvgValue    | Float                                                                                                                                             | Average outbound bandwidth.                                                                                           |
| outMinValue    | Float                                                                                                                                             | Minimum outbound bandwidth.                                                                                           |
| outTotalValue  | Float                                                                                                                                             | Total outbound bandwidth.                                                                                             |
| dataList       | Array of [CrossRegionBandwidthMetricValue](https://docs.console.zenlayer.com/api-reference/compute/datastructure#crossregionbandwidthmetricvalue) | Information on performance metric data.                                                                               |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the performance metric data of the cross-region bandwidth with the billing model of `BANDWIDTH`.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCrossRegionBandwidthMonitorData
<Common Request Params>

Request：
{
    "crossRegionBandwidthId": "<your cross id>",
    "metricType": "BANDWIDTH",
    "startTime": "2025-06-25T01:55:00Z",
    "endTime": "2025-06-25T02:05:00Z"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "inMaxValue": 100.5,
    "inAvgValue": 100.5,
    "inMinValue": 100.5,
    "inTotalValue": 100.5,
    "outMaxValue": 100.5,
    "outAvgValue": 100.5,
    "outMinValue": 100.5,
    "outTotalValue": 100.5,
    "dataList": [
      {
        "time": "2025-06-25T01:55:00Z",
        "in": 100.5,
        "out": 100.5
      },
      {
        "time": "2025-06-25T02:00:00Z",
        "in": 100.5,
        "out": 100.5
      },
      {
        "time": "2025-06-25T02:05:00Z",
        "in": 100.5,
        "out": 100.5
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
